<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('entry_files', function (Blueprint $table) {
            $table->boolean('online_patcher')->default(false);
            $table->boolean('secondary_online_patcher')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('entry_files', function (Blueprint $table) {
            $table->dropColumn('online_patcher');
            $table->dropColumn('secondary_online_patcher');
        });
    }
};
